Name:           perl-Type-Tiny
Version:        1.000005
Release:        4%{?dist}
Summary:        Tiny, yet Moo(se)-compatible type constraint
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Type-Tiny/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/Type-Tiny-%{version}.tar.gz
BuildArch:      noarch

# --with reply_plugin
#	Default: --without
# Missing deps (perl(Reply::Plugin))
# Marked as unstable (cf. lib/Reply/Plugin/TypeTiny.pm)
%bcond_with reply_plugin

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl >= 0:5.006001
BuildRequires:  perl(B)
BuildRequires:  perl(B::Deparse)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter::Tiny) >= 0.026
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(feature)
BuildRequires:  perl(lib)
BuildRequires:  perl(Math::BigFloat)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Tester) >= 0.109
BuildRequires:  perl(Text::Balanced)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(threads)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::Scalar)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  sed

# optional
# N/A in Fedora: BuildRequires:  perl(Class::InsideOut)
BuildRequires:  perl(Class::ISA)
BuildRequires:  perl(Devel::Hide)
BuildRequires:  perl(Devel::LexAlias) >= 0.05
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Exporter) >= 5.59
# N/A in Fedora: BuildRequires:  perl(Function::Parameters)
BuildRequires:  perl(JSON::PP) >= 2.27105
# N/A in Fedora: BuildRequires:  perl(Kavorka)
# N/A in Fedora: BuildRequires:  perl(match::simple)
BuildRequires:  perl(Method::Generate::Accessor)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
# N/A in Fedora: BuildRequires:  perl(Moops)
BuildRequires:  perl(Moose) >= 2.0400
BuildRequires:  perl(Moose::Meta::TypeCoercion)
BuildRequires:  perl(Moose::Meta::TypeCoercion::Union)
BuildRequires:  perl(Moose::Meta::TypeConstraint)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Class)
BuildRequires:  perl(Moose::Meta::TypeConstraint::DuckType)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Enum)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Union)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Getopt) >= 0.63
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Common)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Mouse::Meta::TypeConstraint)
BuildRequires:  perl(Mouse::Util)
BuildRequires:  perl(Mouse::Util::TypeConstraints)
BuildRequires:  perl(MouseX::Types)
BuildRequires:  perl(MooseX::Types::Common)
BuildRequires:  perl(MouseX::Types::Moose)
BuildRequires:  perl(mro)
BuildRequires:  perl(Object::Accessor)
BuildRequires:  perl(re)
%{?with_reply_plugin:BuildRequires:  perl(Reply::Plugin)}
# N/A in Fedora: BuildRequires:  perl(Return::Type) >= 0.004
BuildRequires:  perl(Role::Tiny)
BuildRequires:  perl(Role::Tiny::With)
# N/A in Fedora: BuildRequires:  perl(Sub::Exporter::Lexical) >= 0.092291
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Sub::Quote)
# N/A in Fedora: BuildRequires:  perl(Switcheroo)
%{?with_reply_plugin:BuildRequires:  perl(Term::ANSIColor)}
BuildRequires:  perl(Test::Warnings)
# N/A in Fedora: BuildRequires:  perl(Type::Tie)
# N/A in Fedora: BuildRequires:  perl(Validation::Class) >= 7.900017
# N/A in Fedora: BuildRequires:  perl(Validation::Class::Simple)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(B::Deparse)
Requires:       perl(Carp)
Requires:       perl(Data::Dumper)

%description
Type::Tiny is a tiny class for creating Moose-like type constraint objects
which are compatible with Moo, Moose and Mouse.

%package -n perl-Test-TypeTiny
Summary: Test::TypeTiny module

%description -n perl-Test-TypeTiny
Test::TypeTiny module.

%prep
%setup -q -n Type-Tiny-%{version}
# Remove bundled modules
rm -r ./inc
sed -i -e '/^inc\//d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes COPYRIGHT CREDITS NEWS README
%{perl_vendorlib}/*
%{!?with_reply_plugin:%exclude %{perl_vendorlib}/Reply}
%{_mandir}/man3/*
%exclude %{perl_vendorlib}/Test
%exclude %{_mandir}/man3/Test::TypeTiny.3pm*

%files -n perl-Test-TypeTiny
%{perl_vendorlib}/Test
%{_mandir}/man3/Test::TypeTiny.3pm*

%changelog
* Tue Jul 21 2015 Petr Pisar <ppisar@redhat.com> - 1.000005-4
- Specify all dependencies (bug #1245096)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000005-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.000005-2
- Perl 5.22 rebuild

* Mon Oct 27 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.000005-1
- Upstream update.

* Thu Sep 04 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.000004-2
- Perl 5.20 rebuild

* Thu Sep 04 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.000004-1
- Upstream update.

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.000003-2
- Perl 5.20 rebuild

* Sun Aug 31 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.000003-1
- Upstream update.

* Fri Aug 22 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.000002-1
- Upstream update.
- Update deps.

* Mon Aug 18 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.000000-1
- Upstream update.

* Thu Jul 24 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.046-1
- Upstream update.

* Mon Jun 23 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.044-1
- Upstream update.
- Spec file cosmetics.
- BR: perl(Test::Moose), perl(MooseX::Getopt).

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.042-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 08 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.042-1
- Upstream update.
- Split out perl(Test::TypeTiny) to avoid deps on perl(Test::*).

* Fri Mar 21 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.040-1
- Initial Fedora package.
